Index: typo3/mod/user/ws/class.wslib_gui.php
===================================================================
--- typo3/mod/user/ws/class.wslib_gui.php	(Revision 5046)
+++ typo3/mod/user/ws/class.wslib_gui.php	(Arbeitskopie)
@@ -69,7 +69,6 @@
  *
  */
 
-require_once(PATH_typo3 . 'mod/user/ws/class.wslib.php');
 $LANG->includeLLFile('EXT:lang/locallang_mod_user_ws.xml');
 $LANG->includeLLFile('EXT:lang/locallang_misc.xml');
 
Index: typo3/alt_intro.php
===================================================================
--- typo3/alt_intro.php	(Revision 5046)
+++ typo3/alt_intro.php	(Arbeitskopie)
@@ -53,8 +53,6 @@
 
 require ('init.php');
 require ('template.php');
-require_once (PATH_t3lib.'class.t3lib_loadmodules.php');
-require_once (PATH_t3lib.'class.t3lib_basicfilefunc.php');
 require_once ('class.alt_menu_functions.inc');
 $LANG->includeLLFile('EXT:lang/locallang_alt_intro.xml');
 
Index: typo3/db_new.php
===================================================================
--- typo3/db_new.php	(Revision 5046)
+++ typo3/db_new.php	(Arbeitskopie)
@@ -69,12 +69,6 @@
 require('template.php');
 $LANG->includeLLFile('EXT:lang/locallang_misc.xml');
 
-// ***************************
-// Including classes
-// ***************************
-require_once(PATH_t3lib.'class.t3lib_page.php');
-require_once(PATH_t3lib.'class.t3lib_positionmap.php');
-require_once(PATH_t3lib.'class.t3lib_pagetree.php');
 
 
 
Index: typo3/browse_links.php
===================================================================
--- typo3/browse_links.php	(Revision 5046)
+++ typo3/browse_links.php	(Arbeitskopie)
@@ -54,7 +54,6 @@
 require ('template.php');
 $LANG->includeLLFile('EXT:lang/locallang_browse_links.xml');
 
-require_once (PATH_typo3.'/class.browse_links.php');
 
 
 
Index: typo3/init.php
===================================================================
--- typo3/init.php	(Revision 5046)
+++ typo3/init.php	(Arbeitskopie)
@@ -176,27 +176,6 @@
 $CLIENT = t3lib_div::clientInfo();					// $CLIENT includes information about the browser/user-agent
 $PARSETIME_START = t3lib_div::milliseconds();		// Is set to the system time in milliseconds. This could be used to output script parsetime in the end of the script
 
-// ***********************************
-// Initializing the Caching System
-// ***********************************
-
-	// TODO implement autoloading so that we only require stuff we really need
-require_once(PATH_t3lib . 'class.t3lib_cache.php');
-
-require_once(PATH_t3lib . 'cache/class.t3lib_cache_abstractbackend.php');
-require_once(PATH_t3lib . 'cache/class.t3lib_cache_abstractcache.php');
-require_once(PATH_t3lib . 'cache/class.t3lib_cache_exception.php');
-require_once(PATH_t3lib . 'cache/class.t3lib_cache_factory.php');
-require_once(PATH_t3lib . 'cache/class.t3lib_cache_manager.php');
-require_once(PATH_t3lib . 'cache/class.t3lib_cache_variablecache.php');
-
-require_once(PATH_t3lib . 'cache/exception/class.t3lib_cache_exception_classalreadyloaded.php');
-require_once(PATH_t3lib . 'cache/exception/class.t3lib_cache_exception_duplicateidentifier.php');
-require_once(PATH_t3lib . 'cache/exception/class.t3lib_cache_exception_invalidbackend.php');
-require_once(PATH_t3lib . 'cache/exception/class.t3lib_cache_exception_invalidcache.php');
-require_once(PATH_t3lib . 'cache/exception/class.t3lib_cache_exception_invaliddata.php');
-require_once(PATH_t3lib . 'cache/exception/class.t3lib_cache_exception_nosuchcache.php');
-
 $typo3CacheManager = t3lib_div::makeInstance('t3lib_cache_Manager');
 $cacheFactoryClass = t3lib_div::makeInstanceClassName('t3lib_cache_Factory');
 $typo3CacheFactory = new $cacheFactoryClass($typo3CacheManager);
@@ -236,16 +215,6 @@
 
 
 
-// *********************
-// Libraries included
-// *********************
-require_once(PATH_t3lib.'class.t3lib_userauth.php');
-require_once(PATH_t3lib.'class.t3lib_userauthgroup.php');
-require_once(PATH_t3lib.'class.t3lib_beuserauth.php');
-require_once(PATH_t3lib.'class.t3lib_iconworks.php');
-require_once(PATH_t3lib.'class.t3lib_befunc.php');
-require_once(PATH_t3lib.'class.t3lib_cs.php');
-
 // **********************
 // Check Hardcoded lock on BE:
 // **********************
@@ -332,7 +301,6 @@
 		die('Install Tool is not loaded as an extension.<br/>You must add the key "install" to the list of installed extensions in typo3conf/localconf.php, $TYPO3_CONF_VARS["EXT"]["extList"].');
 	}
 
-	require_once(t3lib_extMgm::extPath('install').'mod/class.tx_install.php');
 	$install_check = t3lib_div::makeInstance('tx_install');
 	$install_check->allowUpdateLocalConf = 1;
 	$install_check->init();
Index: typo3/alt_menu_sel.php
===================================================================
--- typo3/alt_menu_sel.php	(Revision 5046)
+++ typo3/alt_menu_sel.php	(Arbeitskopie)
@@ -52,9 +52,6 @@
 
 require ('init.php');
 require ('template.php');
-require_once (PATH_t3lib.'class.t3lib_loadmodules.php');
-require_once (PATH_t3lib.'class.t3lib_basicfilefunc.php');
-require_once ('class.alt_menu_functions.inc');
 
 
 
Index: typo3/sysext/tstemplate_objbrowser/class.tx_tstemplateobjbrowser.php
===================================================================
--- typo3/sysext/tstemplate_objbrowser/class.tx_tstemplateobjbrowser.php	(Revision 5046)
+++ typo3/sysext/tstemplate_objbrowser/class.tx_tstemplateobjbrowser.php	(Arbeitskopie)
@@ -28,7 +28,6 @@
  * @author	Kasper Skaarhoj <kasperYYYY@typo3.com>
  */
 
-require_once(PATH_t3lib."class.t3lib_extobjbase.php");
 
 class tx_tstemplateobjbrowser extends t3lib_extobjbase {
 	function init(&$pObj,$conf)	{
@@ -255,7 +254,6 @@
 					}
 				}
 				if ($line)	{
-					require_once (PATH_t3lib."class.t3lib_tcemain.php");
 					$saveId = $tplRow['_ORIG_uid'] ? $tplRow['_ORIG_uid'] : $tplRow['uid'];
 						// Set the data to be saved
 					$recData=array();
Index: typo3/sysext/felogin/ext_localconf.php
===================================================================
--- typo3/sysext/felogin/ext_localconf.php	(Revision 5046)
+++ typo3/sysext/felogin/ext_localconf.php	(Arbeitskopie)
@@ -31,7 +31,6 @@
 //activate support for kb_md5fepw
 if (t3lib_extMgm::isLoaded('kb_md5fepw') && (TYPO3_MODE == 'FE')) {
 	$GLOBALS ['TYPO3_CONF_VARS']['EXTCONF']['felogin']['loginFormOnSubmitFuncs'][] = 'tx_kbmd5fepw_newloginbox->loginFormOnSubmit';
-	require_once(t3lib_extMgm::extPath('kb_md5fepw').'pi1/class.tx_kbmd5fepw_newloginbox.php');
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/felogin/pi1/class.tx_felogin_pi1.php
===================================================================
--- typo3/sysext/felogin/pi1/class.tx_felogin_pi1.php	(Revision 5046)
+++ typo3/sysext/felogin/pi1/class.tx_felogin_pi1.php	(Arbeitskopie)
@@ -26,7 +26,6 @@
 *  The code was adapted from newloginbox, see manual for detailed description
 ***************************************************************/
 
-require_once(PATH_tslib.'class.tslib_pibase.php');
 
 
 /**
Index: typo3/sysext/tsconfig_help/mod1/index.php
===================================================================
--- typo3/sysext/tsconfig_help/mod1/index.php	(Revision 5046)
+++ typo3/sysext/tsconfig_help/mod1/index.php	(Arbeitskopie)
@@ -28,10 +28,8 @@
 require_once('conf.php');
 require_once($BACK_PATH.'init.php');
 require_once($BACK_PATH.'template.php');
-require_once($BACK_PATH.'mod/tools/em/class.em_unzip.php');
-
 $LANG->includeLLFile('EXT:tsconfig_help/mod1/locallang.xml');
-require_once(PATH_t3lib.'class.t3lib_scbase.php');
+
 $BE_USER->modAccess($MCONF,1);	// This checks permissions and exits if the users has no permission for entry.
 // DEFAULT initialization of a module [END]
 
Index: typo3/sysext/info_pagetsconfig/class.tx_infopagetsconfig_webinfo.php
===================================================================
--- typo3/sysext/info_pagetsconfig/class.tx_infopagetsconfig_webinfo.php	(Revision 5046)
+++ typo3/sysext/info_pagetsconfig/class.tx_infopagetsconfig_webinfo.php	(Arbeitskopie)
@@ -46,8 +46,6 @@
  *
  */
 
-require_once(PATH_t3lib.'class.t3lib_tsparser_ext.php');
-require_once(PATH_t3lib.'class.t3lib_extobjbase.php');
 
 
 
Index: typo3/sysext/beuser/mod/index.php
===================================================================
--- typo3/sysext/beuser/mod/index.php	(Revision 5046)
+++ typo3/sysext/beuser/mod/index.php	(Arbeitskopie)
@@ -100,13 +100,6 @@
  *
  */
 
-require_once (PATH_t3lib.'class.t3lib_basicfilefunc.php');
-require_once (PATH_t3lib.'class.t3lib_browsetree.php');
-require_once (PATH_t3lib.'class.t3lib_foldertree.php');
-require_once (PATH_t3lib.'class.t3lib_tstemplate.php');
-require_once (PATH_t3lib.'class.t3lib_loadmodules.php');
-require_once (PATH_t3lib.'class.t3lib_tsparser_ext.php');
-require_once (PATH_typo3.'class.alt_menu_functions.inc');
 
 $GLOBALS['LANG']->includeLLFile('EXT:beuser/mod/locallang.xml');
 
Index: typo3/sysext/beuser/ext_localconf.php
===================================================================
--- typo3/sysext/beuser/ext_localconf.php	(Revision 5046)
+++ typo3/sysext/beuser/ext_localconf.php	(Arbeitskopie)
@@ -1,7 +1,6 @@
 <?php
 if (!defined ('TYPO3_MODE')) 	die ('Access denied.');
 
-require_once(t3lib_extMgm::extPath('beuser').'class.tx_beuser_switchbackuser.php');
 
 $GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_userauth.php']['logoff_pre_processing'][] = 'tx_beuser_switchbackuser->switchBack';
 
Index: typo3/sysext/tstemplate_analyzer/class.tx_tstemplateanalyzer.php
===================================================================
--- typo3/sysext/tstemplate_analyzer/class.tx_tstemplateanalyzer.php	(Revision 5046)
+++ typo3/sysext/tstemplate_analyzer/class.tx_tstemplateanalyzer.php	(Arbeitskopie)
@@ -28,7 +28,6 @@
  * @author	Kasper Skaarhoj <kasperYYYY@typo3.com>
  */
 
-require_once(PATH_t3lib."class.t3lib_extobjbase.php");
 
 class tx_tstemplateanalyzer extends t3lib_extobjbase {
 	function init(&$pObj,$conf)	{
Index: typo3/sysext/sv/class.tx_sv_authbase.php
===================================================================
--- typo3/sysext/sv/class.tx_sv_authbase.php	(Revision 5046)
+++ typo3/sysext/sv/class.tx_sv_authbase.php	(Arbeitskopie)
@@ -47,7 +47,6 @@
  *
  */
 
-require_once(PATH_t3lib.'class.t3lib_svbase.php');
 
 
 
Index: typo3/sysext/belog/mod/index.php
===================================================================
--- typo3/sysext/belog/mod/index.php	(Revision 5046)
+++ typo3/sysext/belog/mod/index.php	(Arbeitskopie)
@@ -34,8 +34,6 @@
 
 
 $GLOBALS['LANG']->includeLLFile('EXT:belog/mod/locallang.xml');
-require_once (PATH_t3lib.'class.t3lib_bedisplaylog.php');
-require_once (PATH_t3lib.'class.t3lib_pagetree.php');
 
 $BE_USER->modAccess($MCONF,1);
 
Index: typo3/sysext/belog/class.tx_belog_webinfo.php
===================================================================
--- typo3/sysext/belog/class.tx_belog_webinfo.php	(Revision 5046)
+++ typo3/sysext/belog/class.tx_belog_webinfo.php	(Arbeitskopie)
@@ -52,8 +52,6 @@
 
 
 
-require_once(PATH_t3lib.'class.t3lib_pagetree.php');
-require_once(PATH_t3lib.'class.t3lib_bedisplaylog.php');
 
 /**
  * Extending for Tools > Log. Just setting labels correctly
@@ -85,7 +83,6 @@
 
 
 
-require_once(PATH_t3lib.'class.t3lib_extobjbase.php');
 
 /**
  * Extending for Web>Info
Index: typo3/sysext/lowlevel/class.tx_lowlevel_cleaner_core.php
===================================================================
--- typo3/sysext/lowlevel/class.tx_lowlevel_cleaner_core.php	(Revision 5046)
+++ typo3/sysext/lowlevel/class.tx_lowlevel_cleaner_core.php	(Arbeitskopie)
@@ -58,8 +58,6 @@
  */
 
 
-require_once(PATH_t3lib.'class.t3lib_admin.php');
-require_once(PATH_t3lib.'class.t3lib_cli.php');
 
 
 
Index: typo3/sysext/lowlevel/dbint/cli/refindex_cli.php
===================================================================
--- typo3/sysext/lowlevel/dbint/cli/refindex_cli.php	(Revision 5046)
+++ typo3/sysext/lowlevel/dbint/cli/refindex_cli.php	(Arbeitskopie)
@@ -2,7 +2,6 @@
 
 if (!defined('TYPO3_cliMode'))	die('You cannot run this script directly!');
 
-require_once(PATH_t3lib.'class.t3lib_refindex.php');
 
 	// Call the functionality
 if (in_array('-e',$_SERVER["argv"]) || in_array('-c',$_SERVER["argv"]))	{
Index: typo3/sysext/lowlevel/dbint/cli/cleaner_cli.php
===================================================================
--- typo3/sysext/lowlevel/dbint/cli/cleaner_cli.php	(Revision 5046)
+++ typo3/sysext/lowlevel/dbint/cli/cleaner_cli.php	(Arbeitskopie)
@@ -2,11 +2,7 @@
 
 if (!defined('TYPO3_cliMode'))	die('You cannot run this script directly!');
 
-require_once(PATH_t3lib.'class.t3lib_refindex.php');
-require_once(t3lib_extMgm::extPath('lowlevel').'class.tx_lowlevel_cleaner_core.php');
-
 require(PATH_typo3.'template.php');
-
 	// Call the functionality
 $cleanerObj = t3lib_div::makeInstance('tx_lowlevel_cleaner_core');
 $cleanerObj->cli_main($_SERVER["argv"]);
Index: typo3/sysext/lowlevel/dbint/index.php
===================================================================
--- typo3/sysext/lowlevel/dbint/index.php	(Revision 5046)
+++ typo3/sysext/lowlevel/dbint/index.php	(Arbeitskopie)
@@ -64,13 +64,6 @@
 require ('conf.php');
 require ($BACK_PATH.'init.php');
 require ($BACK_PATH.'template.php');
-require_once (PATH_t3lib.'class.t3lib_admin.php');
-require_once (PATH_t3lib.'class.t3lib_loaddbgroup.php');
-require_once (PATH_t3lib.'class.t3lib_querygenerator.php');
-require_once (PATH_t3lib.'class.t3lib_parsehtml.php');
-require_once (PATH_t3lib.'class.t3lib_xml.php');
-require_once (PATH_t3lib.'class.t3lib_fullsearch.php');
-require_once (PATH_t3lib.'class.t3lib_refindex.php');
 
 $GLOBALS['LANG']->includeLLFile('EXT:lowlevel/dbint/locallang.xml');
 $BE_USER->modAccess($MCONF,1);
Index: typo3/sysext/lowlevel/clmods/class.double_files.php
===================================================================
--- typo3/sysext/lowlevel/clmods/class.double_files.php	(Revision 5046)
+++ typo3/sysext/lowlevel/clmods/class.double_files.php	(Arbeitskopie)
@@ -46,7 +46,6 @@
  */
 
 
-require_once (PATH_t3lib.'class.t3lib_basicfilefunc.php');
 
 /**
  * Looking for double files
Index: typo3/sysext/lowlevel/clmods/class.rte_images.php
===================================================================
--- typo3/sysext/lowlevel/clmods/class.rte_images.php	(Revision 5046)
+++ typo3/sysext/lowlevel/clmods/class.rte_images.php	(Arbeitskopie)
@@ -46,8 +46,6 @@
  */
 
 
-require_once (PATH_t3lib.'class.t3lib_basicfilefunc.php');
-require_once (PATH_t3lib.'class.t3lib_extfilefunc.php');
 
 
 /**
Index: typo3/sysext/lowlevel/config/index.php
===================================================================
--- typo3/sysext/lowlevel/config/index.php	(Revision 5046)
+++ typo3/sysext/lowlevel/config/index.php	(Arbeitskopie)
@@ -53,7 +53,6 @@
 require ($BACK_PATH.'init.php');
 require ($BACK_PATH.'template.php');
 $GLOBALS['LANG']->includeLLFile('EXT:lowlevel/config/locallang.xml');
-require_once (PATH_t3lib.'class.t3lib_arraybrowser.php');
 
 $BE_USER->modAccess($MCONF,1);
 
Index: typo3/sysext/lowlevel/admin_cli.php
===================================================================
--- typo3/sysext/lowlevel/admin_cli.php	(Revision 5046)
+++ typo3/sysext/lowlevel/admin_cli.php	(Arbeitskopie)
@@ -2,7 +2,6 @@
 
 if (!defined('TYPO3_cliMode'))	die('You cannot run this script directly!');
 
-require_once(t3lib_extMgm::extPath('lowlevel').'class.tx_lowlevel_admin_core.php');
 
 	// Call the functionality
 $adminObj = t3lib_div::makeInstance('tx_lowlevel_admin_core');
Index: typo3/sysext/lowlevel/class.tx_lowlevel_cleaner.php
===================================================================
--- typo3/sysext/lowlevel/class.tx_lowlevel_cleaner.php	(Revision 5046)
+++ typo3/sysext/lowlevel/class.tx_lowlevel_cleaner.php	(Arbeitskopie)
@@ -48,9 +48,6 @@
  *
  */
 
-require_once(PATH_t3lib.'class.t3lib_extobjbase.php');
-require_once(t3lib_extMgm::extPath('lowlevel').'class.tx_lowlevel_cleaner_core.php');
-require_once (PATH_t3lib.'class.t3lib_refindex.php');
 
 die('Not developed...');
 
@@ -176,7 +173,6 @@
 
 /*
 // TEST of how we can get the used Content Elements on a TemplaVoila page:
-require_once(t3lib_extMgm::extPath('templavoila').'class.tx_templavoila_api.php');
 $apiClassName = t3lib_div::makeInstanceClassName('tx_templavoila_api');
 $apiObj = new $apiClassName('pages');
 $contentTreeData = $apiObj->getContentTree('pages', t3lib_BEfunc::getRecordWSOL('pages',33),FALSE);
Index: typo3/sysext/lowlevel/class.tx_lowlevel_admin_core.php
===================================================================
--- typo3/sysext/lowlevel/class.tx_lowlevel_admin_core.php	(Revision 5046)
+++ typo3/sysext/lowlevel/class.tx_lowlevel_admin_core.php	(Arbeitskopie)
@@ -37,8 +37,6 @@
  */
 
 
-require_once(PATH_t3lib.'class.t3lib_admin.php');
-require_once(PATH_t3lib.'class.t3lib_cli.php');
 
 
 
Index: typo3/sysext/t3editor/class.tx_t3editor.php
===================================================================
--- typo3/sysext/t3editor/class.tx_t3editor.php	(Revision 5046)
+++ typo3/sysext/t3editor/class.tx_t3editor.php	(Arbeitskopie)
@@ -383,7 +383,6 @@
 			$POST = t3lib_div::_POST();
 
 			if ($POST['submit']) {
-				require_once(PATH_t3lib . 'class.t3lib_tcemain.php');
 
 				// Set the data to be saved
 				$recData = array();
Index: typo3/sysext/taskcenter/task/class.mod_user_task.php
===================================================================
--- typo3/sysext/taskcenter/task/class.mod_user_task.php	(Revision 5046)
+++ typo3/sysext/taskcenter/task/class.mod_user_task.php	(Arbeitskopie)
@@ -33,7 +33,6 @@
 * Revision for TYPO3 3.8.0 / Native Workflow System
 */
 
-require_once(PATH_t3lib.'class.t3lib_extobjbase.php');
 
 class mod_user_task extends t3lib_extobjbase {
 	var $getUserNamesFields = 'username,usergroup,usergroup_cached_list,uid,realName,email';
@@ -67,7 +66,6 @@
 				--------
 				'.sprintf($GLOBALS['LANG']->getLL('messages_emailFooter'), $GLOBALS['TYPO3_CONF_VARS']['SYS']['sitename'], t3lib_div::getIndpEnv('HTTP_HOST'));
 
-		require_once(PATH_t3lib.'class.t3lib_htmlmail.php');
 		$email = t3lib_div::makeInstance('t3lib_htmlmail');
 		$email->start();
 		$email->useBase64();
Index: typo3/sysext/taskcenter/task/index.php
===================================================================
--- typo3/sysext/taskcenter/task/index.php	(Revision 5046)
+++ typo3/sysext/taskcenter/task/index.php	(Arbeitskopie)
@@ -37,8 +37,6 @@
 require ($BACK_PATH.'init.php');
 require ($BACK_PATH.'template.php');
 $LANG->includeLLFile('EXT:taskcenter/task/locallang.php');
-require_once(PATH_t3lib.'class.t3lib_scbase.php');
-require_once('class.mod_user_task.php');
 
 $BE_USER->modAccess($MCONF, 1);
 
Index: typo3/sysext/wizard_crpages/class.tx_wizardcrpages_webfunc_2.php
===================================================================
--- typo3/sysext/wizard_crpages/class.tx_wizardcrpages_webfunc_2.php	(Revision 5046)
+++ typo3/sysext/wizard_crpages/class.tx_wizardcrpages_webfunc_2.php	(Arbeitskopie)
@@ -47,9 +47,6 @@
  *
  */
 
-require_once(PATH_t3lib.'class.t3lib_page.php');
-require_once(PATH_t3lib.'class.t3lib_tcemain.php');
-require_once(PATH_t3lib.'class.t3lib_extobjbase.php');
 
 
 
Index: typo3/sysext/viewpage/view/index.php
===================================================================
--- typo3/sysext/viewpage/view/index.php	(Revision 5046)
+++ typo3/sysext/viewpage/view/index.php	(Arbeitskopie)
@@ -49,8 +49,6 @@
 unset($MCONF);
 require ('conf.php');
 require ($BACK_PATH.'init.php');
-//require ($BACK_PATH.'template.php');
-require_once (PATH_t3lib.'class.t3lib_page.php');
 $BE_USER->modAccess($MCONF,1);
 
 
Index: typo3/sysext/t3skin/ext_tables.php
===================================================================
--- typo3/sysext/t3skin/ext_tables.php	(Revision 5046)
+++ typo3/sysext/t3skin/ext_tables.php	(Arbeitskopie)
@@ -1,7 +1,6 @@
 <?php
 if (!defined ('TYPO3_MODE')) 	die ('Access denied.');
 
-// require_once(t3lib_extMgm::extPath('t3skin').'debuglib.php');
 
 if (TYPO3_MODE=='BE')	{
 
Index: typo3/sysext/openid/sv1/class.tx_openid_sv1.php
===================================================================
--- typo3/sysext/openid/sv1/class.tx_openid_sv1.php	(Revision 5046)
+++ typo3/sysext/openid/sv1/class.tx_openid_sv1.php	(Arbeitskopie)
@@ -43,7 +43,6 @@
  *
  */
 
-require_once(PATH_t3lib . 'class.t3lib_svbase.php');
 
 /**
  * Service "OpenID Authentication" for the "openid" extension.
Index: typo3/sysext/tstemplate/ts/index.php
===================================================================
--- typo3/sysext/tstemplate/ts/index.php	(Revision 5046)
+++ typo3/sysext/tstemplate/ts/index.php	(Arbeitskopie)
@@ -41,11 +41,6 @@
 require($BACK_PATH . 'init.php');
 require($BACK_PATH . 'template.php');
 $GLOBALS['LANG']->includeLLFile('EXT:tstemplate/ts/locallang.xml');
-require_once(PATH_t3lib . 'class.t3lib_page.php');
-require_once(PATH_t3lib . 'class.t3lib_tstemplate.php');
-require_once(PATH_t3lib . 'class.t3lib_tsparser_ext.php');
-require_once(PATH_t3lib . 'class.t3lib_parsehtml.php');
-require_once(PATH_t3lib . 'class.t3lib_scbase.php');
 
 $BE_USER->modAccess($MCONF, true);
 
@@ -434,7 +429,6 @@
 
 	function createTemplate($id, $actTemplateId = 0) {
 		if (t3lib_div::_GP('createExtension')) {
-			require_once (PATH_t3lib . 'class.t3lib_tcemain.php');
 			$tce = t3lib_div::makeInstance('t3lib_TCEmain');
 			/* @var $tce t3lib_TCEmain */
 			$tce->stripslashes_values = 0;
@@ -448,7 +442,6 @@
 			$tce->process_datamap();
 			return $tce->substNEWwithIDs['NEW'];
 		} elseif (t3lib_div::_GP('newWebsite')) {
-			require_once (PATH_t3lib . 'class.t3lib_tcemain.php');
 			$tce = t3lib_div::makeInstance('t3lib_TCEmain');
 			/* @var $tce t3lib_TCEmain */
 			$tce->stripslashes_values = 0;
Index: typo3/sysext/cms/web_info/class.tx_cms_webinfo.php
===================================================================
--- typo3/sysext/cms/web_info/class.tx_cms_webinfo.php	(Revision 5046)
+++ typo3/sysext/cms/web_info/class.tx_cms_webinfo.php	(Arbeitskopie)
@@ -49,11 +49,6 @@
  *
  */
 
-require_once(PATH_t3lib.'class.t3lib_pagetree.php');
-require_once(PATH_t3lib.'class.t3lib_recordlist.php');
-require_once(PATH_typo3.'class.db_list.inc');
-require_once(t3lib_extMgm::extPath('cms').'layout/class.tx_cms_layout.php');
-require_once(PATH_t3lib.'class.t3lib_extobjbase.php');
 
 
 /**
Index: typo3/sysext/cms/web_info/class.tx_cms_webinfo_lang.php
===================================================================
--- typo3/sysext/cms/web_info/class.tx_cms_webinfo_lang.php	(Revision 5046)
+++ typo3/sysext/cms/web_info/class.tx_cms_webinfo_lang.php	(Arbeitskopie)
@@ -50,8 +50,6 @@
  *
  */
 
-require_once(PATH_t3lib.'class.t3lib_pagetree.php');
-require_once(PATH_t3lib.'class.t3lib_extobjbase.php');
 
 
 
Index: typo3/sysext/cms/tslib/media/scripts/wapversionLib.inc
===================================================================
--- typo3/sysext/cms/tslib/media/scripts/wapversionLib.inc	(Revision 5046)
+++ typo3/sysext/cms/tslib/media/scripts/wapversionLib.inc	(Arbeitskopie)
@@ -58,7 +58,6 @@
  *
  */
 
-require_once (PATH_t3lib.'class.t3lib_xml.php');
 
 
 
Index: typo3/sysext/cms/tslib/media/scripts/fe_adminLib.inc
===================================================================
--- typo3/sysext/cms/tslib/media/scripts/fe_adminLib.inc	(Revision 5046)
+++ typo3/sysext/cms/tslib/media/scripts/fe_adminLib.inc	(Arbeitskopie)
@@ -89,7 +89,6 @@
  *
  */
 
-require_once (PATH_t3lib.'class.t3lib_basicfilefunc.php');		// For use with images.
 
 
 
Index: typo3/sysext/cms/tslib/media/scripts/xmlversionLib.inc
===================================================================
--- typo3/sysext/cms/tslib/media/scripts/xmlversionLib.inc	(Revision 5046)
+++ typo3/sysext/cms/tslib/media/scripts/xmlversionLib.inc	(Arbeitskopie)
@@ -46,7 +46,6 @@
  *
  */
 
-require_once (PATH_t3lib.'class.t3lib_xml.php');
 
 
 
Index: typo3/sysext/cms/tslib/class.tslib_fe.php
===================================================================
--- typo3/sysext/cms/tslib/class.tslib_fe.php	(Revision 5046)
+++ typo3/sysext/cms/tslib/class.tslib_fe.php	(Arbeitskopie)
@@ -184,7 +184,6 @@
  *
  */
 
-require_once (PATH_t3lib.'class.t3lib_lock.php');
 
 
 
Index: typo3/sysext/cms/tslib/publish.php
===================================================================
--- typo3/sysext/cms/tslib/publish.php	(Revision 5046)
+++ typo3/sysext/cms/tslib/publish.php	(Arbeitskopie)
@@ -82,12 +82,10 @@
 				if ($temp_theScript)	{
 					include($temp_theScript);
 				} else {
-					require_once (PATH_tslib.'class.tslib_pagegen.php');		// Just formal, this is already included from index_ts.php
 					include(PATH_tslib.'pagegen.php');
 				}
 				$TSFE->generatePage_postProcessing();
 		} elseif ($TSFE->isINTincScript())	{
-			require_once (PATH_tslib.'class.tslib_pagegen.php');	// Just formal, this is already included from index_ts.php
 			include(PATH_tslib.'pagegen.php');
 		}
 
Index: typo3/sysext/cms/tslib/class.tslib_pagegen.php
===================================================================
--- typo3/sysext/cms/tslib/class.tslib_pagegen.php	(Revision 5046)
+++ typo3/sysext/cms/tslib/class.tslib_pagegen.php	(Arbeitskopie)
@@ -972,18 +972,6 @@
 
 
 
-// ********************************************************
-// Includes the search-class if $sword and $scols are set.
-// ********************************************************
-if (t3lib_div::_GP('sword') && t3lib_div::_GP('scols'))	{
-	require_once(PATH_tslib.'class.tslib_search.php');
-}
-
-// ************
-// LoadDBGroup
-// ************
-require_once (PATH_t3lib.'class.t3lib_loaddbgroup.php');
-
 /**
  * Class for fetching record relations for the frontend.
  *
@@ -995,21 +983,4 @@
 class FE_loadDBGroup extends t3lib_loadDBGroup {
 	var $fromTC = 0;	// Means that everything is returned instead of only uid and label-field
 }
-
-// **********************************
-// includes stuff for graphical work
-// **********************************
-require_once(PATH_t3lib.'class.t3lib_stdgraphic.php');
-require_once(PATH_tslib.'class.tslib_gifbuilder.php');
-
-// *************************
-// includes menu-management
-// *************************
-require_once(PATH_tslib.'class.tslib_menu.php');
-
-// *************************
-// Global content object...
-// *************************
-require_once(PATH_tslib.'class.tslib_content.php');
-
 ?>
\ No newline at end of file
Index: typo3/sysext/cms/tslib/class.tslib_content.php
===================================================================
--- typo3/sysext/cms/tslib/class.tslib_content.php	(Revision 5046)
+++ typo3/sysext/cms/tslib/class.tslib_content.php	(Arbeitskopie)
@@ -215,13 +215,7 @@
  */
 
 
-  // Includes this classes since it is used for parsing HTML
-require_once(PATH_t3lib."class.t3lib_parsehtml.php");
 
-	// Object TypoScript library included:
-if(t3lib_extMgm::isLoaded('obts')) {
-	require_once(t3lib_extMgm::extPath('obts').'_tsobject/_tso.php');
-}
 
 
 
@@ -238,7 +232,6 @@
 
 
 
-
 /**
  * This class contains all main TypoScript features.
  * This includes the rendering of TypoScript content objects (cObjects).
Index: typo3/sysext/cms/tslib/index_ts.php
===================================================================
--- typo3/sysext/cms/tslib/index_ts.php	(Revision 5046)
+++ typo3/sysext/cms/tslib/index_ts.php	(Arbeitskopie)
@@ -132,24 +132,11 @@
 // *********************
 if ($temp_extId = t3lib_div::_GP('eID'))	{
 	if ($classPath = t3lib_div::getFileAbsFileName($TYPO3_CONF_VARS['FE']['eID_include'][$temp_extId]))	{
-		require_once(PATH_tslib.'class.tslib_eidtools.php');
 		require($classPath);
 	}
 	exit;
 }
 
-// *********************
-// Libraries included
-// *********************
-$TT->push('Include Frontend libraries','');
-	require_once(PATH_tslib.'class.tslib_fe.php');
-	require_once(PATH_t3lib.'class.t3lib_page.php');
-	require_once(PATH_t3lib.'class.t3lib_userauth.php');
-	require_once(PATH_tslib.'class.tslib_feuserauth.php');
-	require_once(PATH_t3lib.'class.t3lib_tstemplate.php');
-	require_once(PATH_t3lib.'class.t3lib_cs.php');
-$TT->pull();
-
 // ***********************************
 // Create $TSFE object (TSFE = TypoScript Front End)
 // Connecting to database
@@ -198,7 +185,6 @@
 // *******************
 if ($TYPO3_CONF_VARS['FE']['compressionLevel'])	{
 	ob_start();
-	require_once(PATH_t3lib.'class.gzip_encode.php');
 }
 
 // *********
@@ -227,11 +213,6 @@
 if ($_COOKIE['be_typo_user']) {		// If the backend cookie is set, we proceed and checks if a backend user is logged in.
 	$TYPO3_MISC['microtime_BE_USER_start'] = microtime();
 	$TT->push('Back End user initialized','');
-		require_once (PATH_t3lib.'class.t3lib_befunc.php');
-		require_once (PATH_t3lib.'class.t3lib_userauthgroup.php');
-		require_once (PATH_t3lib.'class.t3lib_beuserauth.php');
-		require_once (PATH_t3lib.'class.t3lib_tsfebeuserauth.php');
-
 			// the value this->formfield_status is set to empty in order to disable login-attempts to the backend account through this script
 		$BE_USER = t3lib_div::makeInstance('t3lib_tsfeBeUserAuth');	// New backend user object
 		$BE_USER->OS = TYPO3_OS;
@@ -250,11 +231,6 @@
 	$TT->pull();
 	$TYPO3_MISC['microtime_BE_USER_end'] = microtime();
 } elseif ($TSFE->ADMCMD_preview_BEUSER_uid)	{
-	require_once (PATH_t3lib.'class.t3lib_befunc.php');
-	require_once (PATH_t3lib.'class.t3lib_userauthgroup.php');
-	require_once (PATH_t3lib.'class.t3lib_beuserauth.php');
-	require_once (PATH_t3lib.'class.t3lib_tsfebeuserauth.php');
-
 		// the value this->formfield_status is set to empty in order to disable login-attempts to the backend account through this script
 	$BE_USER = t3lib_div::makeInstance('t3lib_tsfeBeUserAuth');	// New backend user object
 	$BE_USER->userTS_dontGetCached = 1;
@@ -371,12 +347,9 @@
 // *******************************
 switch($TSFE->checkDataSubmission())	{
 	case 'email':
-		require_once(PATH_t3lib.'class.t3lib_htmlmail.php');
-		require_once(PATH_t3lib.'class.t3lib_formmail.php');
 		$TSFE->sendFormmail();
 	break;
 	case 'fe_tce':
-		require_once(PATH_tslib.'class.tslib_fetce.php');
 		$TSFE->includeTCA();
 		$TT->push('fe_tce','');
 		$TSFE->fe_tce();
@@ -391,9 +364,6 @@
 $TSFE->setUrlIdToken();
 
 $TT->push('Page generation','');
-	if ($TSFE->doXHTML_cleaning()) {
-		require_once(PATH_t3lib.'class.t3lib_parsehtml.php');
-	}
 	if ($TSFE->isGeneratePage()) {
 		$TSFE->generatePage_preProcessing();
 		$temp_theScript=$TSFE->generatePage_whichScript();
@@ -401,12 +371,10 @@
 		if ($temp_theScript) {
 			include($temp_theScript);
 		} else {
-			require_once(PATH_tslib.'class.tslib_pagegen.php');
 			include(PATH_tslib.'pagegen.php');
 		}
 		$TSFE->generatePage_postProcessing();
 	} elseif ($TSFE->isINTincScript()) {
-		require_once(PATH_tslib.'class.tslib_pagegen.php');
 		include(PATH_tslib.'pagegen.php');
 	}
 $TT->pull();
Index: typo3/sysext/cms/tslib/class.tslib_eidtools.php
===================================================================
--- typo3/sysext/cms/tslib/class.tslib_eidtools.php	(Revision 5046)
+++ typo3/sysext/cms/tslib/class.tslib_eidtools.php	(Arbeitskopie)
@@ -79,10 +79,6 @@
 		$tsfe = self::getTSFE();
 		/* @var $tsfe tslib_fe */
 
-		// Include classes necessary for initializing frontend user
-		require_once(PATH_t3lib . 'class.t3lib_userauth.php');
-		require_once(PATH_tslib . 'class.tslib_feuserauth.php');
-
 		$tsfe->initFEuser();
 
 		// Return FE user object:
@@ -169,9 +165,6 @@
 		static $tsfe = null;
 
 		if (is_null($tsfe)) {
-			require_once(PATH_tslib . 'class.tslib_fe.php');
-			require_once(PATH_t3lib . 'class.t3lib_cs.php');
-
 			$tsfeClassName = t3lib_div::makeInstanceClassName('tslib_fe');
 			$tsfe = new $tsfeClassName($GLOBALS['TYPO3_CONF_VARS'], 0, 0);
 		}
